function iig(){}
function oig(){}
function mig(a){this.a=a}
function Zhg(a){this.a=a}
function _hg(a){this.a=a}
function hig(a,b){z$f(a.a,b)}
function Eig(a){var b;if(!a.d){b=new iig;a.d=b}return a.d}
function kig(){loe.call(this,d$j,'Persistence Inheritance')}
function Uhg(a){var b;b=UAh(a.b.a,Uuf(),rM(n1c,rxj,1,[]));J7i(A7i(b,qGj),k_j);vnj(new Omj(b),new Zhg(a))}
function Whg(a,b,d,e){lGd.call(this,a,b,d);this.c=e;this.b=new a0i(ALb,(dBh(),$Ah).Mc(ALb),cBh.Mc(ALb));this.a=new p0i(ALb)}
function Dig(a){var b;if(!a.c){b=new Whg(vFd(sce(a.a)),Eig(a),Cig(a),(Znj(Zde(a.a)),RLg(lde(a.a))),b1i(Xde(a.a)));HFd((tce(a.a),b),EGd(tce(a.a)));a.c=b}return a.c}
function Vhg(a,b){var d;d=e0i(a.a,b,UAh(a.b.a,Uuf(),rM(n1c,rxj,1,[])),rM(g2c,jxj,280,[]));if(b.Jc(nMj)&&Ch(b.Mc(nMj),Rzj)){b.Pc(nMj);P7i(A7i(d,oMj),(Slj(),Rlj))}vnj(new Omj(d),new _hg(a))}
function Yhg(a,b){var d,e;e=pnj(b);if(e.b.iN(NGj)&&A7i(e,NGj).b.b!=(Slj(),Rlj)&&!zPd(A7i(e,NGj).b.bf(),OGj)){zYd(p_j+(uYd(),'Loading JPA Subsystem'))}else{d=f0i(a.a.a,A7i(e,zGj).b.bN());hig(a.a.A,d)}}
w3c(3556,1010,qyj,Whg);_.Ti=function(){this.A.b=this};_.Yi=function(){Uhg(this)};_.aj=function(){Xuf(this.c,this)};w3c(3557,1297,{},Zhg);_.eh=function(a){Yhg(this,a)};w3c(3558,1297,{},_hg);_.eh=function(a){var b;b=pnj(a);b.b.iN(NGj)&&A7i(b,NGj).b.b!=(Slj(),Rlj)&&!zPd(A7i(b,NGj).b.bf(),OGj)?AYd(u0j+(uYd(),Hck),C7i(b)):BYd(v0j+(uYd(),Hck));Uhg(this.a)};w3c(3561,1414,pyj,iig);_.Bh=function(){var a,b,d,e,g,i;this.a=new G$f(ALb);a=new mhe(nMj,Ick,false);g=new kig;koe(g,rM(n1c,rxj,1,['DEEP','SHALLOW']));r1d(this.a,DGj,rM(e2c,$yj,261,[a,g]));p1d(this.a,false);d=new I0i(this.a,new mig(this));e=new Y1e(new oig,this.a);b=eBe(gBe(fBe(new iBe,this.a),e));i=KBe(PBe(OBe(LBe(MBe(RBe(new SBe,S1j),Hck),(uYd(),'The configuration of the JPA subsystem.')),f2j,b),G0i(d)));return i};w3c(3562,1662,ezj,kig);_.ak=function(){return false};w3c(3563,1,{},mig);_.Fk=function(a){Vhg(this.a.b,(this.a.a.c,a))};w3c(3564,1,{},oig);_.al=function(){var a;a=Uuf();K7i(o7i(a),HHj,lFj);return a};w3c(3570,1,Yyj);_.td=function(){dHd(this.b,Dig(this.a.a))};var sLb=bOd(3556),oLb=bOd(3557),pLb=bOd(3558),wLb=bOd(3561),tLb=bOd(3562),uLb=bOd(3563),vLb=bOd(3564);Mzj(np)(54);